2010-04-06 99 views
3

我对Eclipse EE开发人员使用Eclipse 3.5 SR2。每次我在打开文件后第一次按下Ctrl + C或Control + V时,出现错误。关闭错误后,我可以成功复制并粘贴。这个错误消息让我相信它与Mylyn插件有关,但我卸载它并仍然没有区别。有其他人遇到这个问题吗?我还安装了subclipse,adobe flex builder和maven插件。复制粘贴时抛出Eclipse错误

的 'org.eclipse.mylyn.tasks.ui.hyperlinks.detectors.url' 从插件 'org.eclipse.mylyn.tasks.ui' 到 “org.eclipse 扩展.ui.workbench.texteditor.hyperlinkDetectors' 扩展点未能加载 超链接检测器。

插件org.eclipse.mylyn.tasks.ui是 无法加载类 org.eclipse.mylyn.internal.tasks.ui.editors.TaskUrlHyperlinkDetector。

当自动激活 org.eclipse.mylyn.tasks.ui(520)时,发生错误。

的 'org.eclipse.mylyn.java.hyperlink.detector.stack' 从 扩展插件 'org.eclipse.mylyn.java.tasks' 到 “org.eclipse.ui.workbench .texteditor.hyperlinkDetectors' 扩展点未能加载 超链接检测器。

插件org.eclipse.mylyn.java.tasks 无法加载类 org.eclipse.mylyn.internal.java.tasks.JavaStackTraceHyperlinkDetector。

组织/蚀/ Mylyn的/任务/ UI/AbstractTaskHyperlinkDetector

从插件 “org.eclipse的 'org.eclipse.mylyn.tasks.ui.hyperlinks.detectors.task' 扩展。 “mylyn.tasks.ui”到 'org.eclipse.ui.workbench.texteditor.hyperlinkDetectors' 扩展点未能加载 超链接检测器。

插件org.eclipse.mylyn.tasks.ui是 无法加载类 org.eclipse.mylyn.internal.tasks.ui.editors.TaskHyperlinkDetector。

当自动激活 org.eclipse.mylyn.tasks.ui(520)时,发生错误。

回答

2

This thread暗示了一个类似的错误,并提到bug 214301(这是Egit 2.3.0, February 2013解决)

这看起来像一个不一致造成这个异常安装的Mylyn的。
你能检查哪些Mylyn的版本功能,你已经安装(

Help > 
About > Configuration Details 

)?


不一致Mylyn的安装的实施例:

  • Mylyn的2.1安装
  • 任务列表(Mylyn的特征)和结构桥(IDE-特征, PDE-功能等)更新到2.2
  • 专注的用户界面(上下文功能)保持在版本2.1

解决方案:一次

更新确保您获得了 “Mylyn的桥:是Eclipse SDK” 的特点

首先,尝试通过

再次运行更新
Help -> Software Updates -> Search 
for new features 

..并确保所有Mylyn功能都已更新。

1

如果您使用的是“Eclipse Helios”,只需更新Mylyn。它会解决这个问题。

  1. 帮助 - >检查更新 - >选择Mylyn条目 - >下一步 - >下一步,看看进度,直到它完成安装新的更新。然后

  2. 重新启动你的eclipse。